#include<iostream>
int main()
{
    int N, st[100000], fi[100000], br=0,i=0, j;
    std::cin>>N;
    for(int i=0;i<N;i++){std::cin>>st[i];}
    for(int i=0;i<N;i++){std::cin>>fi[i];}
    st[N]=0;
    fi[N]=0;
    while(i<N)
    {
        j=0;
        while(st[i]!=fi[j])
        {
            j++;
        }
        while(st[i]==fi[j])
        {
            i++;
            j++;
        }
        br++;
    }
    std::cout<<br<<std::endl;
    return 0;
}